import { PlotSelect } from "./aliases";
export declare const prefix = "princ--";
export declare abstract class BasePlotItem {
    protected cls: string;
    constructor();
    /** Get or set the classes for the data item */
    classed(): string;
    classed(cls: string): this;
    /** Plot the data item */
    protected plotSetup(group: PlotSelect): PlotSelect;
}
/** Base class for plotting */
export declare abstract class BasePlot {
    private cls;
    constructor(cls: string);
    /** Get or set classes for the whole plot */
    classed(): string;
    classed(cls: string): this;
    protected abstract name(): string;
    /** Plot an evolution */
    plot(svgElement: SVGSVGElement): PlotSelect;
}
